This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 207806 - Review Request: evolution-bogofilter - A plugin for bogofilter support in evolution
Review Request: evolution-bogofilter - A plugin for bogofilter support in ev...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-23 12:35 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-01 01:01:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-09-23 12:35:19 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/evolution-bogofilter.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/evolution-bogofilter-0.2.0-1.fc6.src.rpm
Description: 

This plugin implements junk filtering for the Evolution mailer, provided by
the bogofilter utility. Bogofilter (http://www.bogofilter.org) is a fast and
nimble mail filter using a so-called Bayesian technique to classify junk and
non-junk email.
Comment 1 David Nielsen 2006-09-24 14:18:36 EDT
when trying to build on x86_64 I get:

checking for BF_EPLUGIN... configure: error: Package requirements (
  glib-2.0
  evolution-plugin-2.8
  camel-provider-1.2
  gconf-2.0
) were not met:

Package camel-provider-1.2 was not found in the pkg-config search path.
Perhaps you should add the directory containing `camel-provider-1.2.pc'
to the PKG_CONFIG_PATH environment variable
Package 'camel-provider-1.2', required by 'evolution-plugin', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables BF_EPLUGIN_CFLAGS
and BF_EPLUGIN_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Solution:
The package needs to BR: evolution-data-server-devel
Comment 2 Parag AN(पराग) 2006-09-25 03:11:31 EDT
similar error i found in mock build on i386 
Using config source xml:merged:/etc/gconf/gconf.xml.defaults for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking for BF_EPLUGIN... configure: error: Package requirements (
  glib-2.0
  evolution-plugin-2.8
  camel-provider-1.2
  gconf-2.0
) were not met:

Package camel-provider-1.2 was not found in the pkg-config search path.
Perhaps you should add the directory containing `camel-provider-1.2.pc'
to the PKG_CONFIG_PATH environment variable
Package 'camel-provider-1.2', required by 'evolution-plugin', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables BF_EPLUGIN_CFLAGS
and BF_EPLUGIN_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

error: Bad exit status from /var/tmp/rpm-tmp.35379 (%build)
Comment 4 Kevin Fenzi 2006-09-28 22:54:09 EDT
I'm not an evolution user, but I would be happy to review this anyhow. ;) 

Look for a full review in a bit here. 
Comment 5 Kevin Fenzi 2006-09-28 23:03:09 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
668f11a7f04a1af32b1077420854bd98  bf-eplugin-0.2.0.tar.gz
668f11a7f04a1af32b1077420854bd98  bf-eplugin-0.2.0.tar.gz.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
See below - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

SHOULD Items:

See below - Should include License or ask upstream to include it.
OK - Should build in mock. 

Issues:

1. rpmlint says:

W: evolution-bogofilter no-url-tag
W: evolution-bogofilter no-documentation
W: evolution-bogofilter non-conffile-in-etc /etc/gconf/schemas/bf-
eplugin.schemas

2. Might include the following as %doc files?
AUTHORS ChangeLog COPYING NEWS README

3. Might change defattr from
%defattr(-,root,root)
to
%defattr(-,root,root,-)

4. I suppose it makes sense to call this evolution-bogofilter instead
of the upstream name of bf-eplugin. Perhaps upstream could even be
talked into changing the name there? no one is going to know they
should look for bf-eplugin for this IMHO.
Comment 7 Kevin Fenzi 2006-09-30 12:28:09 EDT
Excellent. That looks good and addresses all the blockers I see, 
so this package is APPROVED. 

Don't forget to close this bug NEXTRELEASE once the package has been imported 
and built. 
Comment 8 Tom "spot" Callaway 2006-10-01 01:01:39 EDT
Built for FC-5 and devel. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.